
QGIS Application - Bug report #17602

Auth db query exec() failed

2017-12-01 11:42 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Xubuntu 17.10, Debian 9.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25499

Description

Could be a duplicate but no one seems to be responding to queries on other similar issues.

patrick@Vbox-XubuntuArtful:~$ qgis

../../src/app/main.cpp: 454: (main) [0ms] Starting qgis main

    -  (qgis.bin:28744): WARNING *: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-6EjRedq2pn:

Connection refused

WARNING: Auth db query exec() FAILED

WARNING: Auth db query exec() FAILED

Warning: Duplicate shortcut registered: Graphical &Modeler...

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x55dca573c31e]

/usr/bin/qgis.bin(+0xc82a)[0x55dca573c82a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7efe79f7661a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const, ...) const+0xae)[0x7efe79f773ee]

/usr/lib/libqgis_core.so.2.99.0(QgsLogger::warning(QString const&)+0x81)[0x7efe7bd029e1]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAction(QAction*, QString const&)+0x17b)[0x7efe77995527]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildActions(QObject*, bool)+0x250)[0x7efe77994ed6]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildren(QObject*, bool)+0x2c)[0x7efe77994c6c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,

QFlags<Qt::WindowType>)+0x6658)[0x7efe7cb293a2]

/usr/bin/qgis.bin(+0x11d85)[0x55dca5741d85]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xf1)[0x7efe795851c1]

/usr/bin/qgis.bin(_start+0x2a)[0x55dca573a05a]

Warning: Duplicate shortcut registered: &History...

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc31e)[0x55dca573c31e]

/usr/bin/qgis.bin(+0xc82a)[0x55dca573c82a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(+0x9561a)[0x7efe79f7661a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QMessageLogger::warning(char const*, ...) const+0xae)[0x7efe79f773ee]

/usr/lib/libqgis_core.so.2.99.0(QgsLogger::warning(QString const&)+0x81)[0x7efe7bd029e1]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAction(QAction*, QString const&)+0x17b)[0x7efe77995527]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildActions(QObject*, bool)+0x250)[0x7efe77994ed6]

/usr/lib/libqgis_gui.so.2.99.0(QgsShortcutsManager::registerAllChildren(QObject*, bool)+0x2c)[0x7efe77994c6c]

/usr/lib/libqgis_app.so.2.99.0(QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,

QFlags<Qt::WindowType>)+0x6658)[0x7efe7cb293a2]

/usr/bin/qgis.bin(+0x11d85)[0x55dca5741d85]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xf1)[0x7efe795851c1]

/usr/bin/qgis.bin(_start+0x2a)[0x55dca573a05a]
History

#1 - 2017-12-02 09:55 AM - Richard Duivenvoorde

duplicate of #17386

#2 - 2017-12-02 06:22 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Files
